## Let's put some requited excwptions in util upstream finnalu fixes the typos
%define _requires_exceptions  pear(Horde/Group.php)\\|pear(Horde/Group/mock.php) 
%define upstream_name Horde_Kolab_Storage
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.5
Release:     	%mkrel 2
Summary:    	A package for reading/writing Kolab data formats
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Cache >= 2.0.0
Requires:	php-pear-Horde_Cache < 3.0.0alpha1
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Kolab_Format >= 2.0.0
Requires:	php-pear-Horde_Kolab_Format < 3.0.0alpha1
Requires:	php-pear-Horde_Mime >= 2.0.0
Requires:	php-pear-Horde_Mime < 3.0.0alpha1
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires:	php-pear-Horde_Translation < 3.0.0alpha1
Requires:	php-pear-Horde_Support >= 2.0.0
Requires:	php-pear-Horde_Support < 3.0.0alpha1
Requires:	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1 
BuildArch:  	noarch

%description
Storing user data in an IMAP account belonging to the user is one of the
Kolab server core concepts. This package provides all the necessary means
to deal with this type of data storage effectively.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Kolab_Storage.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Kolab_Storage.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Kolab_Storage
fi

%files
%doc docs/Horde_Kolab_Storage/*
%{peardir}/*
%{xmldir}/Horde_Kolab_Storage.xml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 538515
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 2.0.5-1.mga4
+ Revision: 489835
- upgrade to vers. 2.0.5

* Thu Jun 06 2013 spuhler <spuhler> 2.0.4-1.mga4
+ Revision: 438450
- upgrade to ver. 2.0.4
- update Requires per upstream

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-3.mga3
+ Revision: 376535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 spuhler <spuhler> 1.1.0-2.mga2
+ Revision: 169347
- added define _requires_exceptions  pear(Horde/Group.php)\\|pear(Horde/Group/mock.php) as a workaround the typo until fixed upstream

* Sun Nov 13 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 167294
- upgrade to 1.1.0
- added %%define	_requires_exceptions pear(\\(Group/mock.php\\|Group/Group.php)
- changed Provides: php-pear-Horde_Kolab_Storage to php-pear-Horde_Kolab_Storage = %%{version}
- imported package php-pear-Horde_Kolab_Storage

